webdevqa.jp.net

「ABI armeabiのuserdata.imgファイルが見つかりません...」

繰り返しますが、Eclipseを最新のAndroid SDK/toolsで更新するというミスを犯してしまい、使用できなくなりました。

MacでEclipseを実行します。

AVDを作成しようとすると、「ABI armeabiのuserdata.imgファイルが見つかりません」と表示されます。ここでは、実行/実行構成に移動し、最新の「ARM EABI v7aシステムイメージ」がダウンロードされていることを確認する同様の質問をすべて読みました。私はそれをやった。マシンを再起動しました。まだ喜びはありません。

FWIW 4.xエミュレータを作成しようとはしていません。ちょうど2.3.3。更新:2.3.3で試していたのと同じパラメーター(画面サイズ、ストレージカードサイズ、メモリなど)で2.2エミュレーターを正常に作成できます。また、これらのパラメーターを使用して4.xエミュレーターを正常に作成できます。 2.3.3ではありません。

繰り返しますが、私はすべての同様の質問を読みました。私がしたことをすることで、Win7を実行しているいくつかの開発者の問題を解決したようです。他の質問は、誰かが「今ファイルをダウンロードしています」と言って終わりますが、それが機能したかどうかに関しては更新されません。私の場合、ファイルをダウンロードした後、動作に変化は見られません。

助けてくれてありがとう。

37
Craig

enter image description here

ハイライトされた部分がインストールされているかどうかを確認してください。

インストールされている場合、CPUの下でこれを見つけることができます。それを選択し、[avdの作成]をクリックします。

enter image description here

38
ChanGan

手順1)Eclipseを開き、[実行構成]をクリックします([実行]または[デバッグ]ボタンの横にある矢印をプルダウンします)。

ステップ2)「Androidアプリケーション」を選択し、「新規」をクリックします

ステップ3)[ターゲット]タブを選択し、[自動]を選択します(選択されていて、下のリストボックスが無効になっている場合でももう一度クリックします)

ステップ4)[マネージャー...]ボタンをクリックします

ステップ5)すべての「Android 4.0.X」セクションで、「ARM EABI v7a System Image」チェックボックスを選択します

ステップ6)[Xパッケージのインストール...]ボタンをクリックします

リファレンス: http://tech.thecoolblogs.com/2012/01/unable-to-find-userdataimg-file-for-abi.html#ixzz1u2EMZGt7

18
user1362208

ARM 4.0のSDKマネージャーからAndroid EABI imgをインストールすると、問題は解決します

12

このエラーは、userdata.imgファイルの場所がAndroid 4(API Level 14)以降変更されているために発生しています。したがって、ARM EABIパッケージを再インストールする必要があります。 http://tech.thecoolblogs.com/2012/01/unable-to-find-userdataimg-file-for-abi.html に記載されている手順に従います。

11
Srijit

私は同じ問題を抱えていましたが、これが私がそれを解決した方法です:

Eclipseの場合:

  1. ウィンドウ> Android SDK Manager
  2. ARM EABI v7aシステムイメージを選択
  3. パッケージをインストールする
  4. できたこれでAVDを作成できるはずです。

がんばろう!!

9
Paul

Android 4.1(API 16)で、ARM EABI v7a System ImageをAndroid SDK Manager:これは、Mac OSX上のEclipse Indigoで完全に機能します。

6
AsemRadhwi

実際、まだインストールする必要がありますGoogle USB Driver Extras in the bottom of the bottom of Android = SDKマネージャー。

3
RRRRico

新しく作成されたAVDsがユーザーフォルダー(ユーザーfoo)に保存されていることに気づいた後、問題を解決しましたC:\HOME\fooとAndroidプラグインはC:\Users\foo

環境変数を設定しました(これによりavdフォルダーの保存が変更されます)。

Android_SDK_HOM=C:\Users\foo

保存場所を変更したため、AVDを再度作成してください。

これで問題が解決したので、適切な方法は検索フォルダーを設定することだと思いますが、それを変更する方法がわかりませんでした。

2
Haris Krajina

そのパッケージを削除して再インストールした後でも、同じエラーが発生していました。私はsdkフォルダを見て、画像がずっと下にあることがわかりました

...\sdk\system-images\Android-10\x86\images\x86

PAI 17の画像がどのように保存されているかを見て、そのディレクトリ内のすべてをコピーして、

...\sdk\system-images\Android-10\x86

今ではうまく動作します:)

1
f2prateek

私の場合、これは 「イメージがインストールされていても、このターゲット用のシステムイメージはインストールされていません」 に関連していました。

この回答 に続いて、c:\adt\sdk\system-images\Android-23\default\x86 1つ上のフォルダーにc:\adt\sdk\system-images\Android-23\x86、その後エラーが発生しました:

ABI armeabiのuserdata.imgファイルが見つかりません...

思いつきで、元のフォルダへのシンボリックリンク/ジャンクションを作成しましたが、うまくいきました。私はこれを使用しました:

mklink /j "c:\adt\sdk\system-images\Android-23\default\x86" "c:\adt\sdk\system-images\Android-23\x86"

両方のフォルダで必要なだけです。フォルダーを単純にコピーする代わりにジャンクションを使用して、スペースを無駄にしないようにしました。

0
sashoalm

以下を実行することでコマンドラインから解決できます:

update sdk -u -a -t Android-16,sysimg-16
0
amuniz

コマンドラインを使用するときに同じ問題が発生しました。

以下のファイルをコピーして修正します

...\sdk\system-images\Android-X\armeabi-vY\

...\sdk\platforms\Android-X\images

たぶん、最初にフォルダ画像を作成する必要があります

0
gtangil